=== debian/changelog ===
unison2.32.52 (2.32.52-7ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/change-logfile-location.patch: Change default logfile
      directory to .unison by prepending .unison to name of logfile in
      ubase/trace.ml.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 11 May 2013 14:58:43 -0400

unison2.32.52 (2.32.52-7) unstable; urgency=low

  * Backport a patch from Unison 2.40.102 to fix compatibility with
    OCaml >= 4

 -- Stéphane Glondu <glondu@debian.org>  Sat, 11 May 2013 12:30:14 +0200

unison2.32.52 (2.32.52-6ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Change default logfile directory to .unison by prepending .unison to
      name of logfile in ubase/trace.ml.
  * Dropped changes:
    - debian/rules: use rsvg-convert, rsvg does note exist anymore (done in
      Debian)

 -- Logan Rosen <logatronico@gmail.com>  Sat, 27 Oct 2012 17:48:27 -0400

unison2.32.52 (2.32.52-6) unstable; urgency=low

  * Suggest unison-all
  * Use rsvg-convert instead of rsvg (Closes: #666281)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 31 Mar 2012 19:22:54 +0200

unison2.32.52 (2.32.52-5ubuntu1) precise; urgency=low

  * Merge from debian (LP: #937596):
  * debian/rules: use rsvg-convert, rsvg does note exist anymore
  * Change default logfile directory to .unison by prepending .unison to
    name of logfile in ubase/trace.ml. 

 -- Julian Taylor <jtaylor@ubuntu.com>  Tue, 28 Feb 2012 20:04:01 +0100

unison2.32.52 (2.32.52-5) unstable; urgency=low

  * Remove unison-gtk alternative on uninstall (Closes: #656355)
  * Fix link order to list C objects before the libraries they require
    (Closes: #657423)
  * Add myself to Uploaders, remove Sylvain

 -- Stéphane Glondu <glondu@debian.org>  Fri, 27 Jan 2012 07:31:13 +0100

unison2.32.52 (2.32.52-4) unstable; urgency=low

  * Team upload
  * Fork a unison2.32.52 package, to maintain compatibility with squeeze
  * debian/control:
    - replace Conflicts by Replaces/Breaks
    - bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 08 Jan 2012 13:03:50 +0100

unison (2.32.52-3) unstable; urgency=low

  * Team upload
  * Remove obsolete README.source
  * Add Fix-bad-interaction-with-OpenSSH-5.6.patch (Closes: #620031)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 03 Apr 2011 13:16:18 +0200

unison (2.32.52-2) unstable; urgency=low

  * Team upload
  * Switch source package format to 3.0 (quilt)
  * Add patch to fix build with OCaml 3.12 (Closes: #585453)
  * Add "set -e" to maintainer scripts
  * Remove conflicts older than oldstable
  * Bump Standards-Version to 3.9.1

 -- Stéphane Glondu <glondu@debian.org>  Thu, 10 Feb 2011 12:21:24 +0100

unison (2.32.52-1) unstable; urgency=low

  * New upstream release (Closes: #559054)
  * Merge changes from unison2.27.57:
    * Move ${F:OtherUnison*} fields first due to a problem when merging
      conflicts in dpkg-gencontrol
  * Generate manpage using debian/generate-manpage.ml and output of 'unison
    -help', so manpage is always up-to-date
    (Closes: #524526, #517972, #524475)
  * Backup files changed during build (lwt/depend, ubase/depend)

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 27 Feb 2010 18:57:02 +0000

unison (2.27.57-4) unstable; urgency=low

  * Merge changes from unison2.27.57:
    * Update Standards-Version to 3.8.4 (no change)
    * Stop using dh_desktop
    * Use dh_ocaml 0.9 features (auto dependencies)
  * unison binaries are custom executables, so we can remove Depends on any
    ocaml-base* packages (Closes: #540481)
  * Add bash_completion (Closes: #349782, #481070)
  * Use the full path to access icon in .desktop (Closes: #541700)
  * Patch from unison trunk to remove 'Connected ...' message even when
    -silent is set (Closes: #497729, #551199)
  * Auto generate conflicts with unisonX.Y.Z or unison (X.Y.Z) package
    (Closes: #570910)
  * Enhance templating for unison and unison-gtk common files

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 25 Feb 2010 01:00:47 +0000

unison (2.27.57-2) unstable; urgency=low

  * Correct typo in documentation, thanks to Lucas B. Cohen
    (Closes: #137960, #129478, #466173)
  * Switch packaging to git
  * Set maintainer to Debian OCaml Maintainers
  * Add dh-ocaml build-dependency (rules/ocaml.mk)
  * Upgrade debian/compat to 7
  * Upgrade Standards-Version to 3.8.0 (debian/README.source)
  * Add ${misc:Depends} to dependencies
  * Update debian/copyright file to use
    http://wiki.debian.org/Proposals/CopyrightFormat
  * Remove obsolete debian/control.in related variables and files

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 05 Mar 2009 12:10:11 +0100

unison (2.27.57-1) unstable; urgency=low

  [ Sylvain Le Gall]
  * New upstream release (Closes: #462598):
    * New option mountpoint can help avoid problem with removable media
      (Closes: #349674)
  * Unset CFLAGS in debian/rules (Closes: #476051)
  * Upgrade to standards version 3.7.3 (no change)
  * Update README.Debian to add new package unison2.13.16
  * Remove debian/control.in
  * Remove now useless gtkfont patch
  * Change doc-base section to File Management

  [ Stefano Zacchiroli ]
  * promote Homepage to a real debian/control field, now that dpkg supports it
  * fix vcs-svn field to point just above the debian/ dir

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 14 Apr 2008 19:39:39 +0200

unison (2.13.16-9) unstable; urgency=low

  * Use a correct way to test thing in shell (Closes: #443715)

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 23 Sep 2007 23:54:42 +0200

unison (2.13.16-8) unstable; urgency=low

  * Change section from net to utils
  * Tighten build-dependency on lablgtk2 and librsvg2
  * Rework description of the package

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 20 Sep 2007 16:53:23 +0200

unison (2.13.16-7) unstable; urgency=low

  * Upgrade debian/watch version to 3,
  * Upgrade debhelper debian/compat to 5,

